/*
    General page styles
*/
/* 
    Created on : 29-Oct-2015, 10:04:12
    Author     : mathewlinaker
*/

::-moz-selection {
    color: #fff;
    background: #BED630;
}

::selection {
    color: #fff; 
    background: #BED630;
}

body {
    margin-left: 10px !important;
    margin-right: 10px !important;
}

h1,h2,h3,h4,h5,h6 {
    margin-bottom: 30px;
}

.display-none {
    display: none !important;
}

error {
    padding: .2rem .5rem;
    margin: 0 .2rem;
    font-size: 90%;
    white-space: nowrap;
    background: #FF2626;
    border: 1px solid #E1E1E1;
    border-radius: 4px; 
    color: #FFF;
}

pre > error {
  display: block;
  padding: 1rem 1.5rem;
  white-space: pre; 
  margin-bottom: 30px;
}

success {
    padding: .2rem .5rem;
    margin: 0 .2rem;
    font-size: 90%;
    white-space: nowrap;
    background: #BED630;
    border: 1px solid #E1E1E1;
    border-radius: 4px; 
    color: #FFF;
}

success .close {
    color: #ffffff;
}

error .close-error {
    color: #ffffff;
}

pre > success {
  display: block;
  padding: 1rem 1.5rem;
  white-space: pre; 
  margin-bottom: 30px;
}

.xn-no-marg {
    margin-left: 0;
    margin-right: 0;
}
.xn-img img {
    max-width: 100%;
    max-height:100%;
    width: auto;
    height: auto;
}
.xn-center-div {
    float: none;
    margin-left: auto !important;
    margin-right: auto;
}
.xn-text-center {
    text-align: center;
}
.xn-pad-bot-2 {
    padding-bottom: 2%;
}
.xn-pad-bot-30 {
    padding-bottom: 30px;
}
.xn-pad-top-10 {
    padding-top: 15%;
}

span.ui-helper-hidden-accessible {
    display: none;
}

ul.ui-autocomplete {
    /*background-color: #D1D1D1;*/
    max-width: 400px;
    width: auto;
    list-style: none;
}
ul.ui-autocomplete li {
    line-height: 30px;
    padding: 5px;
}
ul.ui-autocomplete li:hover, ul.ui-autocomplete li.ui-state-focus {
    background-color: #BED630;
    color: #FFF;
}

.xn-center-div .button-primary {
    margin: 0 !important;
}
.xn-time-slots {
    min-height: 165px;
}
.xn-payment-methods, .xn-agg-size {
    min-height: 80px;
}
.xn-address {
min-height: 120px;
}
.xn-menu-shaddow {
    margin: auto;
    width: 500px;
    display: none;
}
.xn-date {
    font-size: 24px;
    line-height: 26px;
    border: none;
    width: 150px;
    text-align: center;
}
.ui-tooltip {
    white-space: pre-line;
}

/***********************  JOB TABLE STYLE  ********************/

.xn-jobs tbody, .xn-jobs thead {
    display: block;
    width: 100%;
    position: relative;
}
.xn-jobs tbody {
    overflow: auto;
}
.site {
    margin-bottom: 10px !important;
}
.xn-jobs tr{
    height: 70px;
}
.xn-jobs tr.header {
    height: 20px;
}
.xn-jobs td:first-child {
    width: 170px !important;
    overflow: hidden;
}
.xn-jobs td {
    text-align: center;
    border: 1px solid #efefef;
    width: 155px !important;
    overflow: hidden !important;
}
.xn-jobs td a {
    display: block;
}
.xn-booked a {
    color: #ffffff;
    line-height: 16px;
}
.xn-booked {
    background-color: #FF2626;
    vertical-align: top;
    padding-top: 2px;
}
.xn-booked-green a {
    color: #000000;
    line-height: 16px;
}
.xn-booked-green {
    background-color: #BED630;
    vertical-align: top;
    padding-top: 2px;
}
.xn-booked-yellow a {
    color: #000000;
    line-height: 16px;
}
.xn-booked-yellow {
    background-color: #FFFF00;
    vertical-align: top;
    padding-top: 2px;
}
.xn-booked-orange a {
    color: #000000;
    line-height: 16px;
}
.xn-booked-orange {
    background-color: #FFBF00;
    vertical-align: top;
    padding-top: 2px;
}
.xn-booked-blue a {
    color: #000000;
    line-height: 16px;
}
.xn-booked-blue {
    background-color: #0080FF;
    vertical-align: top;
    padding-top: 2px;
}
.xn-booked-blocked a {
    color: #000000;
    line-height: 16px;
}
.xn-booked-blocked {
    background-color: #FFF;
    vertical-align: top;
    padding-top: 2px;
}
.xn-not-booked a {
    color: #000;
    line-height: 16px;
}
.xn-not-booked {
    background-color: #e1e1e1;
    vertical-align: middle;
}
.xn-not-booked-assigned {
    background-color: #e1e1e1;
    vertical-align: middle;
}
.xn-not-booked-assigned a {
    color: #000;
    line-height: 20px;
}
.xn-not-booked-inuse {
    background-color: #6d6a6a;
    vertical-align: middle;
}
.xn-not-booked-inuse a {
    color: #000;
    line-height: 20px;
}
.xn-not-booked-blocked a {
    color: #000;
    line-height: 20px;
}
.xn-not-booked-blocked {
    background-color: #7d7a7a;
    vertical-align: middle;
}
.job-bold {
    font-weight: bold;
}
.job-agg-size {
    background-color: #fff;
    color: #000;
    margin-top: 2px;
    margin-bottom: 0;
    font-weight: bold;
    border: 3px solid #000;
}
.xn-do-full-width .container {
    max-width: 1240px !important;
    width: 1240px;
}
.list-select-driver {
    position: absolute;
    top: 2px;
    right: 0px;
    width: 24px;
    height: 24px;
    padding: 0;
    line-height: 20px;
}
.list-select-driver-close {
    width: 24px;
    height: 24px;
    line-height: 20px;
    padding: 0;
    font-size: 20px;
    border: none;
}
.xn-jobs-container {
    position: relative;
}
.list-driver-list {
    border: #6d6a6a 1px solid;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    display: block;
    position: absolute;
    top: 2px;
    left: 2px;
    z-index: 9999;
    background-color: #fff;
    padding: 10px;
    font-size: 14px;
}
.list-driver-list-tools {
    text-align: right;
}
.list-driver-list-body {
    width: 300px;
    height: 300px;
    overflow-x: hidden;
    overflow-y: scroll;
}
.list-driver-list-body a, .list-driver-list-body a:active, .list-driver-list-body a:visited {
    color: #222;
    display: block;
    padding: 2px;
}
.list-driver-list-body a:hover {
    display: block;
    background-color: #BED630;
    padding: 2px;
    color: #fff;
}
.list-driver-list ul {
    list-style: none;
}
.list-driver {
    font-weight: 700;
    margin-top: 10px;
    display: block;
    color: #6d6a6a;
}
.list-driver.active {
    background-color: #BED630;
    color: #000000;
}
.list-driver.inuse {
    background-color: #b43d3d;
    color: #ffffff;
}
